Quassel IRC - Bug #1389

Rename a query buffer to contain a newline can lead to a crashing quasseilclient

12/01/2015 11:33 PM - public

Status: Resolved Start date: 12/01/2015
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.10.0 0S: Windows
Description

Renaming a query buffer to contain a newline in the name can lead to a crash.

How to reproduce:

1. Rename a query buffer into a name that contains a newline (for example, using copy-paste of a multiline string)

2. Hover over buffername.

What should happen:
Tooltip is displayed normally

What does happen:
Client crashes.

Version: v0.12.2 (git-9c5e6¢6) || Protocol version: 10 || Built: May 20 2015 14:17:35

Associated revisions

Revision ecf1ab29 - 02/08/2016 09:29 PM - Manuel Nickschas
Don't allow newlines in buffer names

Since it is possible to enter newlines when renaming a buffer via
the GUI, we need to have a sanity check that cuts off the additional
lines.

Fixes #1389.

Revision 7bcfdef0 - 02/08/2016 10:31 PM - Manuel Nickschas
Don't allow newlines in buffer names

Since it is possible to enter newlines when renaming a buffer via
the GUI, we need to have a sanity check that cuts off the additional

lines.

Fixes #1389.

History

#1 - 12/01/2015 11:37 PM - public

How to reproduce:

1. Rename a query buffer into a name that contains a newline (for example, using copy-paste of a multiline string)

2. Hover over buffername and clicking on it.

#2 - 02/08/2016 09:30 PM - Anonymous
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset quassel|ecf1ab29dd398f0e0beaff327443909096d24f55.

05/20/2024

1/1



https://bugs.quassel.eu/projects/quassel-irc/repository/revisions/ecf1ab29dd398f0e0beaff327443909096d24f55
http://www.tcpdf.org

